- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Gets the details for the specified managed ruleset name.
HTTP request
GET https://compute.googleapis.com/compute/beta/projects/{project}/global/managedRulesets/{managedRuleset} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
managedRuleset |
Name of the managed ruleset to return. |
Request body
The request body must be empty.
Response body
Represents a ManagedRuleset resource.
Managed internally by Cloud Armor CLH for Managed Rules features. Customers can only view these resources to modify their Security Policies. For more information, see https://cloud.google.com/armor/docs/.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "name": string, "id": string, "creationTimestamp": string, "selfLink": string, "rulesetId": string, "description": string, "ruleIds": [ string ], "changeLog": string } |
| Fields | |
|---|---|
name |
Name of the resource. Generated internally when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression |
id |
Output only. The unique identifier for the resource. This identifier is defined by the server. |
creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
selfLink |
Output only. Server-defined URL for the resource. |
rulesetId |
Output only. The managed ruleset identifier that can be configured in Security Policy rules. |
description |
Output only. An optional description of this resource. |
ruleIds[] |
Output only. The list of managed rule IDs that are included in this managed ruleset. |
changeLog |
Output only. The change log for this managed ruleset. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.managedRulesets.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.